## org.exist.xquery.value.test
Class TimeTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.value.test.AbstractTimeRelatedTestCase
                  org.exist.xquery.value.test.TimeTest

All Implemented Interfaces:
  junit.framework.Test

public class TimeTest
extends AbstractTimeRelatedTestCase

note: some of these tests rely on local timezone override to -05:00, done in super.setUp()

Author:
  Piotr Kaminski

Constructor Summary
`TimeTest()`

Method Summary
`void` `bugtestStringFormat3()`
`void` `testAdjustedToTimezone1()`
`void` `testAdjustedToTimezone2()`
`void` `testAdjustedToTimezone3()`
`void` `testAdjustedToTimezone4()`
`void` `testAdjustedToTimezone5()`
`void` `testAdjustedToTimezone6()`
`void` `testAdjustedToTimezone7()`
`void` `testAdjustedToTimezone8()`
`void` `testAdjustedToTimezone9()`
`void` `testCompare1()`
`void` `testCompare2()`
`void` `testCompare3()`
`void` `testCompare4()`
`void` `testCompare6()`
`void` `testCompare7()`
`void` `testConvert1()`
`void` `testConvert2()`
`void` `testCreate1()`
`void` `testCreate2()`
`void` `testGetPart1()`
`void` `testGetPart2()`
`void` `testGetTimezone1()`
`void` `testGetTimezone2()`
`void` `testGetTimezone3()`
`void` `testGetTimezone4()`
`void` `testGetType()`
`void` `testMinMax1()`
`void` `testMinus1()`
`void` `testMinus2()`
`void` `testMinus3()`
`void` `testMinus4()`
`void` `testMinus5()`
`void` `testPlus1()`
`void` `testPlus2()`
`void` `testStringFormat1()`
`void` `testStringFormat2()`
`void` `testStringFormat4()`
`void` `testStringFormat5()`
`void` `testStringFormat6()`
`void` `testStringFormat7()`
`void` `testStringFormat8()`
`void` `testWithoutTimezone1()`
`void` `testWithoutTimezone2()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimeTest

    public TimeTest()

Method Detail

### testCreate1

    public void testCreate1()

### testCreate2

    public void testCreate2()

### testStringFormat1

    public void testStringFormat1()
                           throws XPathException

  Throws:
    `XPathException`

### testStringFormat2

    public void testStringFormat2()
                           throws XPathException

  Throws:
    `XPathException`

### bugtestStringFormat3

    public void bugtestStringFormat3()
                              throws XPathException

  Throws:
    `XPathException`

### testStringFormat4

    public void testStringFormat4()
                           throws XPathException

  Throws:
    `XPathException`

### testStringFormat5

    public void testStringFormat5()
                           throws XPathException

  Throws:
    `XPathException`

### testStringFormat6

    public void testStringFormat6()
                           throws XPathException

  Throws:
    `XPathException`

### testStringFormat7

    public void testStringFormat7()
                           throws XPathException

  Throws:
    `XPathException`

### testStringFormat8

    public void testStringFormat8()
                           throws XPathException

  Throws:
    `XPathException`

### testGetPart1

    public void testGetPart1()
                      throws XPathException

  Throws:
    `XPathException`

### testGetPart2

    public void testGetPart2()
                      throws XPathException

  Throws:
    `XPathException`

### testConvert1

    public void testConvert1()
                      throws XPathException

  Throws:
    `XPathException`

### testConvert2

    public void testConvert2()
                      throws XPathException

  Throws:
    `XPathException`

### testGetType

    public void testGetType()
                     throws XPathException

  Throws:
    `XPathException`

### testGetTimezone1

    public void testGetTimezone1()
                          throws XPathException

  Throws:
    `XPathException`

### testGetTimezone2

    public void testGetTimezone2()
                          throws XPathException

  Throws:
    `XPathException`

### testGetTimezone3

    public void testGetTimezone3()
                          throws XPathException

  Throws:
    `XPathException`

### testGetTimezone4

    public void testGetTimezone4()
                          throws XPathException

  Throws:
    `XPathException`

### testWithoutTimezone1

    public void testWithoutTimezone1()
                              throws XPathException

  Throws:
    `XPathException`

### testWithoutTimezone2

    public void testWithoutTimezone2()
                              throws XPathException

  Throws:
    `XPathException`

### testAdjustedToTimezone1

    public void testAdjustedToTimezone1()
                                 throws XPathException

  Throws:
    `XPathException`

### testAdjustedToTimezone2

    public void testAdjustedToTimezone2()
                                 throws XPathException

  Throws:
    `XPathException`

### testAdjustedToTimezone3

    public void testAdjustedToTimezone3()
                                 throws XPathException

  Throws:
    `XPathException`

### testAdjustedToTimezone4

    public void testAdjustedToTimezone4()
                                 throws XPathException

  Throws:
    `XPathException`

### testAdjustedToTimezone5

    public void testAdjustedToTimezone5()
                                 throws XPathException

  Throws:
    `XPathException`

### testAdjustedToTimezone6

    public void testAdjustedToTimezone6()
                                 throws XPathException

  Throws:
    `XPathException`

### testAdjustedToTimezone7

    public void testAdjustedToTimezone7()
                                 throws XPathException

  Throws:
    `XPathException`

### testAdjustedToTimezone8

    public void testAdjustedToTimezone8()
                                 throws XPathException

  Throws:
    `XPathException`

### testAdjustedToTimezone9

    public void testAdjustedToTimezone9()
                                 throws XPathException

  Throws:
    `XPathException`

### testCompare1

    public void testCompare1()
                      throws XPathException

  Throws:
    `XPathException`

### testCompare2

    public void testCompare2()
                      throws XPathException

  Throws:
    `XPathException`

### testCompare3

    public void testCompare3()
                      throws XPathException

  Throws:
    `XPathException`

### testCompare4

    public void testCompare4()
                      throws XPathException

  Throws:
    `XPathException`

### testCompare6

    public void testCompare6()
                      throws XPathException

  Throws:
    `XPathException`

### testCompare7

    public void testCompare7()
                      throws XPathException

  Throws:
    `XPathException`

### testMinMax1

    public void testMinMax1()
                     throws XPathException

  Throws:
    `XPathException`

### testPlus1

    public void testPlus1()
                   throws XPathException

  Throws:
    `XPathException`

### testPlus2

    public void testPlus2()
                   throws XPathException

  Throws:
    `XPathException`

### testMinus1

    public void testMinus1()
                    throws XPathException

  Throws:
    `XPathException`

### testMinus2

    public void testMinus2()
                    throws XPathException

  Throws:
    `XPathException`

### testMinus3

    public void testMinus3()
                    throws XPathException

  Throws:
    `XPathException`

### testMinus4

    public void testMinus4()
                    throws XPathException

  Throws:
    `XPathException`

### testMinus5

    public void testMinus5()
                    throws XPathException

  Throws:
    `XPathException`

Copyright (C) Wolfgang Meier. All rights reserved.